Bug 100069 - Dirt: Showdown bad performance and broken rendering with enabled advanced lightning
Summary: Dirt: Showdown bad performance and broken rendering with enabled advanced lig...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 77449
  Show dependency treegraph
 
Reported: 2017-03-05 19:35 UTC by Gregor Münch
Modified: 2019-09-25 17:57 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
menu options (521.65 KB, image/jpeg)
2017-03-05 19:35 UTC, Gregor Münch
Details
Ingame (253.02 KB, image/jpeg)
2018-02-02 13:26 UTC, Gregor Münch
Details
ingame benchmark mode (367.85 KB, image/jpeg)
2018-04-21 11:35 UTC, Gregor Münch
Details
ingame completely broken graphics (183.98 KB, image/jpeg)
2018-04-21 11:36 UTC, Gregor Münch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Münch 2017-03-05 19:35:03 UTC
Created attachment 130078 [details]
menu options

With higher GL versions, Dirt enables "advanced lighting" options in the graphics menu. Setting this to "On" makes the game basically a slide show.
FPS is going down from 60 to 10.

Im on a Radeon HD 7970. Also all other Radeon cards seems to have a performance problem:
http://www.phoronix.com/scan.php?page=article&item=mesa171-pro60-rx470&num=2

where figures looked better in 2015 (but probably because Opengl 4.5 wasnt there)
http://www.phoronix.com/scan.php?page=article&item=dirt-showdown-linux&num=3

Some more infos about the lightning options:
http://www.rage3d.com/articles/gaming/codemaster_dirt_showdown_tech_review/index.php?p=2
Comment 1 Kenneth Graunke 2017-03-06 00:11:30 UTC
Assigning to the radeonsi driver until we know it's a general problem...
Comment 2 Edward O'Callaghan 2017-03-06 01:05:04 UTC
(In reply to Kenneth Graunke from comment #1)
> Assigning to the radeonsi driver until we know it's a general problem...

FYI Kenneth, I have access to a binary of this so could collect some data on where time is getting spent, I just need to download the thing..
Comment 3 Gregor Münch 2017-11-12 17:36:56 UTC
Still a thing with current git.
Comment 4 Gregor Münch 2018-02-02 13:26:34 UTC
Created attachment 137129 [details]
Ingame

Looks like this is one of the last games which have pretty garbled graphics with mesa.
What is needed to fix this?
Comment 5 Gregor Münch 2018-02-25 16:47:20 UTC
I recorded a trace but I think its useless because of:

https://github.com/apitrace/apitrace/issues/232

Is there anything what could be done here?

From googling around I saw Marek got a trace working maybe you could help here?
Comment 6 Marek Olšák 2018-03-27 02:03:59 UTC
(In reply to Gregor Münch from comment #4)
> Created attachment 137129 [details]
> Ingame
> 
> Looks like this is one of the last games which have pretty garbled graphics
> with mesa.
> What is needed to fix this?

What graphics settings did you use in the game?
Comment 7 Marek Olšák 2018-03-27 02:04:44 UTC
The low performance is a known issue. We don't know if it's expected or not.
Comment 8 Gregor Münch 2018-03-27 13:34:54 UTC
All graphic options are set to the maximum possible value including MSAA.

Its not only about low performance, once advanced lightning is set, the graphic is also seriously bugged, including wrong textures.
Comment 9 Gregor Münch 2018-03-27 14:25:51 UTC
Found YouTube video on Nvidia showing same settings, including advanced lightning working flawless and good speed. https://youtu.be/hP4V5W-IRJ0?t=4m49s


However in a phoronix article, Michael is showing ingame pictures showing cars with obviously missing textures. (Yet he claims that the game is looking good and the same for both vendors) it's the same kind of corruption I see with activated advanced lightning btw. Though I additionally see over bright lights.
https://www.phoronix.com/scan.php?page=article&item=dirt-showdown-linux&num=4
The performance with catalyst was still way better than Mesa.
Comment 10 Gregor Münch 2018-04-21 11:35:22 UTC
Created attachment 138979 [details]
ingame benchmark mode

The cars with texture errors seem to be either a game bug or Phoronix Test Suite bug.
If you select the Benchmark mode while you in the actual game, the cars are rendered correctly.
However the graphics are still broken.
Seems to be a problem how the lights got applied to the objects.
Comment 11 Gregor Münch 2018-04-21 11:36:20 UTC
Created attachment 138980 [details]
ingame completely broken graphics
Comment 12 GitLab Migration User 2019-09-25 17:57:39 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1258.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.